Subject: Re: bug#41705: 28.0.50; minibuffer completion of ".../*/*" shouldn't be "...//"

From: "Basil L. Contovounesios" <[email-masked]>
Date: Thu, 04 Jun 2020 15:18:31 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Pip Cet <[email-masked]>
>> Date: Thu, 04 Jun 2020 09:35:12 +0000
>> 
>> ./emacs -Q
>> enter: C-x C-f * / * <tab>
>> 
>> expected result: a list of sub-subdirectories of the emacs src dir. A
>> "Find file: .../emacs/src/*/" prompt.
>> 
>> actual result: prompt says "Find file: .../emacs/src//", further tab
>> completion uses the root directory.
>> 
>> I'd noticed this for a while now, but thought it was a local
>> configuration issue. It happens in emacs -Q, too, though.
>> 
>> For master, we should fix minibuffer.el properly, but I'm not sure what
>> to do on emacs-27. It's a regression (from Emacs 26) that might annoy
>> many users of tab completion in the minibuffer.
>
> Can you bisect to find which commit broke this?

I selectively applied commits onto emacs-26 rather than bisecting, and
it seems to point to [1].  Paging Stefan.

[1]: * lisp/minibuffer.el (completion-pcm--optimize-pattern): New function
8bea7e9ab4 2019-12-03 09:45:48 -0500
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=8bea7e9ab4453da71d9766d582089154f31de907

-- 
Basil